---
title: SVGLinearGradientElement
slug: Web/API/SVGLinearGradientElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGLinearGradientElement</code></strong> interface corresponds to the {{SVGElement("linearGradient")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGGradientElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGLinearGradientElement.x1")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x1")}} attribute of the given {{SVGElement("linearGradient")}} element.</dd>
 <dt>{{domxref("SVGLinearGradientElement.y1")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("y1")}} attribute of the given {{SVGElement("linearGradient")}} element.</dd>
 <dt>{{domxref("SVGLinearGradientElement.x2")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x2")}} attribute of the given {{SVGElement("linearGradient")}} element.</dd>
 <dt>{{domxref("SVGLinearGradientElement.y2")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("y2")}} attribute of the given {{SVGElement("linearGradient")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGGradientElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#InterfaceSVGLinearGradientElement", "SVGLinearGradientElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#InterfaceSVGLinearGradientElement", "SVGLinearGradientElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGLinearGradientElement")}}</p>
